Name:    ksystemstats
Version: 5.27.10
Release:    1%{?dist}
Summary: KSystemStats is a daemon that collects statistics about the running system.
 
License: GPLv2 or GPLv3
URL:     https://invent.kde.org/plasma/%{name}
 
%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif

Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz
 
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: libksysguard-devel >= %{majmin}
 
BuildRequires: kf5-rpm-macros
BuildRequires:  systemd-rpm-macros
BuildRequires: extra-cmake-modules >= 5.82
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5ItemViews)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5Solid)
BuildRequires: cmake(KF5WindowSystem)
 
BuildRequires: cmake(KF5NetworkManagerQt)
 
BuildRequires: cmake(Qt5Widgets)
 
BuildRequires:  libnl3-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  systemd-devel
BuildRequires:  pkgconfig(libpcap)
 
%description
KSystemStats is a daemon that collects statistics about the running system.
 
%package devel
Summary:  Developer files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.
 
 
%prep
%autosetup -n %{name}-%{version}


%build
%cmake_kf5

%cmake_build


%install
%cmake_install
%find_lang ksystemstats_plugins


%files -f ksystemstats_plugins.lang
%doc README.md
%license LICENSES/*
%{_kf5_bindir}/ksystemstats
%{_kf5_bindir}/kstatsviewer
%{_datadir}/dbus-1/services/org.kde.ksystemstats.service
%{_userunitdir}/plasma-ksystemstats.service
%{_qt5_plugindir}/ksystemstats/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
